
package de.ivu.elect.presentation.niederschrift.action;

import java.util.ArrayList;
import java.util.List;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.niederschrift.entity.NiederschriftStatusAenderung;
import de.ivu.elect.jee.presentation.action.AbstractActionMenuModelBuilder;
import de.ivu.elect.jee.presentation.action.ActionEntry;

@Named(NiederschriftStatusAenderungActionMenu.COMPONENT_NAME)
public class NiederschriftStatusAenderungActionMenu extends AbstractActionMenuModelBuilder<NiederschriftStatusAenderung> {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "niederschriftStatusAenderungActionMenu";

  @Inject
  private transient NiederschriftStatusAenderungRemoveAction niederschriftStatusAenderungRemoveAction;

  public NiederschriftStatusAenderungActionMenu() {
    super();
  }

  @Override
  public List<ActionEntry<NiederschriftStatusAenderung>> getActionEntriesInklusiveProtokollActionSorted() {
    return getActionEntriesExklusiveProtokollActionSorted(); // ELECTMUC-847 -- kein Protokoll
  }

  @Override
  protected List<ActionEntry<NiederschriftStatusAenderung>> getActionEntriesSorted() {
    List<ActionEntry<NiederschriftStatusAenderung>> result = new ArrayList<>();

    result.add(niederschriftStatusAenderungRemoveAction);

    return result;
  }
}
